﻿:root {
    --r-font-color : #000000;
    --r-font-size : 16px; 
    --r-line-height : 1.5;
    --r-el-border-bottom: solid 1px #dddddd;
    --r-el-padding: 1rem;
    --r-smaller-font : 0.8em;
    --r-container-padding : 1em;
    --r-hori-gap : 2em;
    --r-heading-font-weight : 700;
    --r-heading-font-size : 1.2em;
}

.blockTitle {
    margin: 1rem 0;
    text-align: center;
}

/* old style 3 images heading */
.blockTitle .hasStyle {
    display: inline-block;
}

    .blockTitle h2:not([class]) {
        margin: 0;
        font-weight: 800;
        font-size: 2.7rem;
        line-height: 1;
    }

@media (max-width: 480px) {
    :root {
        --r-font-size: 14px;
    }
    .blockTitle h2:not([class]) {
        font-size: 2.3rem; /*   */
        line-height: 1;
    }
}

@media (min-width: 481px) and (max-width: 767px) {
    :root {
        --r-font-size: 14px;
    }
    .blockTitle h2:not([class]) {
        font-size: 2.4rem;
        line-height: 1;
    }
}
html, body {
    font-family: 'Outfit', 'Noto Sans HK', '微軟正黑體', sans-serif;
    font-size: var(--r-font-size);
    color: var(--r-font-color);
    line-height: var(--r-line-height);
}

a {
    text-decoration: none;
    color: inherit;
}

.isNotIndexPage.verticalMenuExist .mcShell {
    min-height: 70vh;
}

/* Main content in non-index page */
.isNotIndexPage .variableContent, .isNotIndexPage.noVerticalMenu .mcShell {
    padding: var(--r-container-padding);
}

/* 臨時隱藏頂部的 banner */
.topBanner01
{
   display : none; 
}

.spcVideo
{
  width: 100vw;
  height: 56.2vw;
  position : relative;
}
.spcCoverVideo
{
   position : absolute;
   top : 0;
   left : 0;
   width : 100%;
   height : 100%;
}
.isNotIndexPage .spcVideo
{
   display : none; 
}

.spcHeader
{
   position:absolute;
   top : 0;
   left : 0;
   width: 100%;
   /*background-image: linear-gradient(to right, rgba(55,37,5,0.9), rgba(95,66,13,0.9), rgba(139,96,16,0.9), rgba(186,129,18,0.9), rgba(235,163,18,0.9));*/
   /*background-image: linear-gradient(to right, rgba(0, 200, 186, 0.9), rgba(67,213,174,0.9), rgba(139,96,16,0.9), rgba(186,129,18,0.9), rgba(235,163,18,0.9));*/
   
  background: linear-gradient(135deg, rgba(7,3,119,1) 0%,rgba(41,137,216,1) 50%,rgba(8,114,201,1) 51%,rgba(125,185,232,1) 100%);
  border-bottom : solid 1px #FFFFFF;
}
.isNotIndexPage .spcHeader
{
  position : static;
}
.spc2Columns
{
  display : flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: space-between;
  align-items: flex-start;
}
.spc2ColumnsLeft{}
.spc2ColumnsRight
{
  display : flex;
  flex-direction: column;
  justify-content: flex-end;
  align-items: flex-end;
}
.spcTopRightShortcut
{
  margin-right: 1em;
}
.spcMainMenu{}
.spcFooter
{
  background-color : #805d17;
  color : #FFFFFF;
  padding : 2rem;
}

@media (max-width: 480px) {
  .spc2Columns
  {
    display : block;
  }
  .spcVideo {
    margin-top: 7rem;
  }
}

@media (min-width: 481px) and (max-width: 767px) {
  .spc2Columns
  {
    display : block;
  }
  .spcVideo {
    margin-top: 7rem;
  }
}

@media (min-width: 768px) and (max-width: 979px) {
}

@media (min-width: 980px) and (max-width:1199px) {
}

@media (min-width: 1200px) and (max-width:1919px) {
}

@media (min-width: 1920px) {
}
























